package com.unis.module.core.enums.project;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @program: delivery-depot-admin
 * @author: duhuajie
 * @create: 2025-02-11
 * @description: 核验状态枚举[hy_state]:0:待核验,1:核验通过,2:核验不通过,3:核验中
 */
@Getter
@AllArgsConstructor
public enum DeliveryHyState {
    WAIT_HY(3, "核验中"),
    NO_HY(2, "核验不通过"),
    YES_HY(1, "核验通过"),
    WAIT(0, "待核验"),

    ;
    /**
     * 字典编码
     */
    private final Integer code;
    /**
     * 字典描述
     */
    private final String name;
}
